summaryrefslogtreecommitdiff
path: root/dev-python/sphinx
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/sphinx')
-rw-r--r--dev-python/sphinx/Manifest3
-rw-r--r--dev-python/sphinx/sphinx-2.4.4.ebuild4
-rw-r--r--dev-python/sphinx/sphinx-3.3.1-r1.ebuild (renamed from dev-python/sphinx/sphinx-3.2.1.ebuild)16
-rw-r--r--dev-python/sphinx/sphinx-3.4.2-r1.ebuild (renamed from dev-python/sphinx/sphinx-3.3.1.ebuild)83
-rw-r--r--dev-python/sphinx/sphinx-3.4.3.ebuild128
5 files changed, 177 insertions, 57 deletions
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index 0fd3af4507bd..6ae9dd89f18f 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -1,3 +1,4 @@
DIST Sphinx-2.4.4.tar.gz 5966973 BLAKE2B 727a75eb4ec33beadf80b22cdd8dda02a53f4da4aea10ee18ecae658a69a9bb797f83b0d11b41b8405bf18b2472ea7fd501bea85382c20c5f2a9d5b14a032428 SHA512 cd35b7ebdf4eb41fb3a58706333ca4328fbf9b37999ad1bcc751f9769f0a294464e4def019a403fcd2204ca963ef641c35c957a4145eb50af07573d21df8c74d
-DIST Sphinx-3.2.1.tar.gz 5970067 BLAKE2B 6158d31390c9b07aa3abcdc4eb7ed827cf2160192a2c53ad845f07d5027cc4bd65264ea1114e78e06f9652a8788a8d0e992a8988382787a05bf507a73618cd96 SHA512 3f0f49036a44938abd470c2f825a0eeeeb818daf3dfbb3bc5c746b64305b5fe66c1c34d9703eb9420b2b347247c122825ddae1b6c28c88c249206151f39e3bdb
DIST Sphinx-3.3.1.tar.gz 5979919 BLAKE2B 4eb9d8c9dccfd83690252ad6be05a3e69006e1e801bb0b37b77fb6ccf998f3a2fd99a90eba890cfb2baa5545ac0c2734fcd72d602fc2d1091e6754337f241b34 SHA512 bb1fb0780b741c0162ca014cb996dcdaac06985d14b6cc645a835679d7cf2680912784a815a027caf3fe902f721f9707bc9e9daaaf2c2d43051d31fe00584f78
+DIST Sphinx-3.4.2.tar.gz 5996867 BLAKE2B 4ab0989d521702a5e84148d12f57c2332d27519807de1aa33fff3a17813c8be0247e413c768cd3062c4c52372607cc6f5f16ca0a2ff46cbb8e73db4dd7270796 SHA512 7af39a6c40f54018cce59c2407af278bcbfbded305742918d053e75ae7bdc3a1ea8cc615fd554c9f9581c84723cf5f70ebed8916c54215c5024cf63e31dd3a0e
+DIST Sphinx-3.4.3.tar.gz 5997116 BLAKE2B 73a488564d5889bfc6d7f6f797aa3b144b03cf5f086a4543c3f4b2a452b353f4d799b80a14a0d4118e227660b7f9367fe8f3a2e91f6127cdca489cf4fad215f3 SHA512 2e085e00c722f3aaf34552eefc3842daf5443f7b8a11afa850db1e31ad81d5ff7f579622b91f982b21708fa6379907bac4fe72d42dc05859a3f62c75298facaa
diff --git a/dev-python/sphinx/sphinx-2.4.4.ebuild b/dev-python/sphinx/sphinx-2.4.4.ebuild
index 46405878cbdf..f1060a33d3cb 100644
--- a/dev-python/sphinx/sphinx-2.4.4.ebuild
+++ b/dev-python/sphinx/sphinx-2.4.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -16,7 +16,7 @@ SRC_URI="mirror://pypi/S/${PN^}/${P^}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="doc latex test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/sphinx/sphinx-3.2.1.ebuild b/dev-python/sphinx/sphinx-3.3.1-r1.ebuild
index 6ad49b81cda3..2a0d43fbcc3f 100644
--- a/dev-python/sphinx/sphinx-3.2.1.ebuild
+++ b/dev-python/sphinx/sphinx-3.3.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -16,19 +16,19 @@ SRC_URI="mirror://pypi/S/${PN^}/${P^}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="doc latex test"
RESTRICT="!test? ( test )"
RDEPEND="
<dev-python/alabaster-0.8[${PYTHON_USEDEP}]
- dev-python/Babel[${PYTHON_USEDEP}]
- dev-python/docutils[${PYTHON_USEDEP}]
+ >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.12[${PYTHON_USEDEP}]
dev-python/imagesize[${PYTHON_USEDEP}]
- dev-python/jinja[${PYTHON_USEDEP}]
- dev-python/pygments[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- dev-python/snowballstemmer[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.3[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-1.1[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
diff --git a/dev-python/sphinx/sphinx-3.3.1.ebuild b/dev-python/sphinx/sphinx-3.4.2-r1.ebuild
index e4701f467cbb..f0e68d45683f 100644
--- a/dev-python/sphinx/sphinx-3.3.1.ebuild
+++ b/dev-python/sphinx/sphinx-3.4.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -16,19 +16,19 @@ SRC_URI="mirror://pypi/S/${PN^}/${P^}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="doc latex test"
RESTRICT="!test? ( test )"
RDEPEND="
<dev-python/alabaster-0.8[${PYTHON_USEDEP}]
- dev-python/Babel[${PYTHON_USEDEP}]
- dev-python/docutils[${PYTHON_USEDEP}]
+ >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.12[${PYTHON_USEDEP}]
dev-python/imagesize[${PYTHON_USEDEP}]
- dev-python/jinja[${PYTHON_USEDEP}]
- dev-python/pygments[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- dev-python/snowballstemmer[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.3[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-1.1[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
@@ -67,43 +67,6 @@ PATCHES=(
)
python_prepare_all() {
- # remove tests that fail due to network-sandbox
- rm tests/test_build_linkcheck.py || die "Failed to remove web tests"
- sed -i -e 's:test_latex_images:_&:' tests/test_build_latex.py || die
-
- # fail under pypy3 (some because of missing typed-ast)
- # revisit when pypy3 becomes pypy3.8
- sed -i -e '/def test_partialfunction/i\
-@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
- -e '/def test_autodoc_typed_instance_variables/i\
-@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
- -e '/def test_autodoc_inherited_members_None/i\
-@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
- -e '/def test_cython/i\
-@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
- -e '/def test_automethod_for_builtin/i\
-@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
- tests/test_ext_autodoc.py || die
- sed -i -e '/import pytest/aimport sys' \
- -e '/def test_builtin_function/i\
-@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
- -e '/def test_methoddescriptor/i\
-@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
- -e '/def test_wrapped_function/i\
-@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
- tests/test_ext_autodoc_autofunction.py || die
- sed -i -e '/import pytest/aimport sys' \
- -e '/def test_autodoc_typehints_signature/i\
-@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
- tests/test_ext_autodoc_configs.py || die
- sed -i -e '/import pytest/aimport sys' \
- -e '/def test_autosummary_generate_content_for_module/i\
-@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
- tests/test_ext_autosummary.py || die
- sed -i -e '/def test_annotated_assignment_py36/i\
-@pytest.mark.skipif(hasattr(sys, "pypy_version_info"), reason="broken on pypy3")' \
- tests/test_pycode_parser.py || die
-
# disable internet access
sed -i -e 's:^intersphinx_mapping:disabled_&:' \
doc/conf.py || die
@@ -133,5 +96,33 @@ python_compile_all() {
python_test() {
mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
- pytest -vv || die "Tests fail with ${EPYTHON}"
+
+ local deselect=(
+ # these tests require Internet access
+ tests/test_build_latex.py::test_latex_images
+ tests/test_build_linkcheck.py::test_defaults
+ tests/test_build_linkcheck.py::test_defaults_json
+ tests/test_build_linkcheck.py::test_anchors_ignored
+ )
+ [[ ${EPYTHON} == pypy3 ]] && deselect+=(
+ tests/test_build_latex.py::test_latex_images
+ tests/test_ext_autodoc.py::test_autodoc_inherited_members_None
+ tests/test_ext_autodoc.py::test_automethod_for_builtin
+ tests/test_ext_autodoc.py::test_partialfunction
+ tests/test_ext_autodoc.py::test_autodoc_typed_instance_variables
+ tests/test_ext_autodoc.py::test_autodoc_typed_inherited_instance_variables
+ tests/test_ext_autodoc.py::test_cython
+ tests/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
+ tests/test_ext_autodoc_autodata.py::test_autodata_type_comment
+ tests/test_ext_autodoc_autofunction.py::test_builtin_function
+ tests/test_ext_autodoc_autofunction.py::test_methoddescriptor
+ tests/test_ext_autodoc_configs.py::test_autodoc_typehints_signature
+ tests/test_ext_autodoc_configs.py::test_autodoc_type_aliases
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+ tests/test_pycode_parser.py::test_annotated_assignment_py36
+ )
+
+ pytest -vv ${deselect[@]/#/--deselect } ||
+ die "Tests fail with ${EPYTHON}"
}
diff --git a/dev-python/sphinx/sphinx-3.4.3.ebuild b/dev-python/sphinx/sphinx-3.4.3.ebuild
new file mode 100644
index 000000000000..f0e68d45683f
--- /dev/null
+++ b/dev-python/sphinx/sphinx-3.4.3.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx"
+SRC_URI="mirror://pypi/S/${PN^}/${P^}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc latex test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/alabaster-0.8[${PYTHON_USEDEP}]
+ >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.12[${PYTHON_USEDEP}]
+ dev-python/imagesize[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.3[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-1.1[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-htmlhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-serializinghtml[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typed-ast[${PYTHON_USEDEP}]
+ ' python3_{6,7})
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )"
+BDEPEND="
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ ${RDEPEND}
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ virtual/imagemagick-tools[jpeg,png,svg]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )"
+
+S="${WORKDIR}/${P^}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.2.1-doc-link.patch"
+)
+
+python_prepare_all() {
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ # Generate the grammar. It will be caught by install somehow.
+ # Note that the tests usually do it for us. However, I don't want
+ # to trust USE=test really running all the tests, especially
+ # with FEATURES=test-fail-continue.
+ pushd "${BUILD_DIR}"/lib >/dev/null || die
+ "${EPYTHON}" -m sphinx.pycode.__init__ || die "Grammar generation failed."
+ popd >/dev/null || die
+}
+
+python_compile_all() {
+ if use doc; then
+ esetup.py build_sphinx
+ HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ fi
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+ local deselect=(
+ # these tests require Internet access
+ tests/test_build_latex.py::test_latex_images
+ tests/test_build_linkcheck.py::test_defaults
+ tests/test_build_linkcheck.py::test_defaults_json
+ tests/test_build_linkcheck.py::test_anchors_ignored
+ )
+ [[ ${EPYTHON} == pypy3 ]] && deselect+=(
+ tests/test_build_latex.py::test_latex_images
+ tests/test_ext_autodoc.py::test_autodoc_inherited_members_None
+ tests/test_ext_autodoc.py::test_automethod_for_builtin
+ tests/test_ext_autodoc.py::test_partialfunction
+ tests/test_ext_autodoc.py::test_autodoc_typed_instance_variables
+ tests/test_ext_autodoc.py::test_autodoc_typed_inherited_instance_variables
+ tests/test_ext_autodoc.py::test_cython
+ tests/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
+ tests/test_ext_autodoc_autodata.py::test_autodata_type_comment
+ tests/test_ext_autodoc_autofunction.py::test_builtin_function
+ tests/test_ext_autodoc_autofunction.py::test_methoddescriptor
+ tests/test_ext_autodoc_configs.py::test_autodoc_typehints_signature
+ tests/test_ext_autodoc_configs.py::test_autodoc_type_aliases
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+ tests/test_pycode_parser.py::test_annotated_assignment_py36
+ )
+
+ pytest -vv ${deselect[@]/#/--deselect } ||
+ die "Tests fail with ${EPYTHON}"
+}